config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/tor/torsocks.conf.new

( cd usr/lib64/torsocks ; rm -rf libtorsocks.so )
( cd usr/lib64/torsocks ; ln -sf libtorsocks.so.0.0.0 libtorsocks.so )
( cd usr/lib64/torsocks ; rm -rf libtorsocks.so.0 )
( cd usr/lib64/torsocks ; ln -sf libtorsocks.so.0.0.0 libtorsocks.so.0 )
